Jump to content

DJenxu

Members
  • Posts

    2
  • Joined

  • Last visited

DJenxu's Achievements

Newbie

Newbie (1/14)

  • Conversation Starter Rare

Recent Badges

0

Reputation

  1. My game version is 1.5.97, and I had downloaded the newest harbort, but it showed 'This version is not supported.' Why? What should I do?
  2. My game version is 1.5.97, and I had downloaded the newest harbort, but it showed 'This version is not supported.' Why? What should I do?
×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.